EDIT - bug #8097

Problem with inserting a section - inReference is "lost"
02/15/2019 02:33 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

IAPT Entry:

BACILLARIOPHYCEAE

Astartiella bahusiensis (Grunov) Witk., Lange-Bert. & Metzeltin
in Biblioth. Diatomol. 38: 359. 1998.

Registration date: 13.03.98; no.: 1795; office: Berlin.
Basionym: Navicula Grunov (Grunov cleaned to Grunow)

AlgaTerra Entry:

Astartiella bahusiensis (Grunow) Witkowski, Lange-Bert. & Metzeltin
in Biblioth. Diatomol. 38: p. 359. 1998.

has basionym:

Navicula minuscula var. bahusiensis Grunow

in Van Heurck, Syn. Diatom. Belgique, Atlas, pl. 14: fig. 2. 1880.

Task:

edit Astartiella bahusiensis (http://phycobank.org/1795) and insert correct basionym.
First step:

Establish Reference for Van Heurck, done

Second step:

Insert full basionym name, done

Third step:

Try to insert a section into the book: failed.

It was possible to make a section with "Grunow" doing this, Van Heurck is unlinked.

Itis

Navicula minuscula var. bahusiensis Van Heurck, Atlas.... (wrong nomenclatural author)
OR

Navicula minuscula var. bahusiensis Grunow [in undefined...]

There is a problem or a systematic error in usage by the PhycoBank team.
http://phycobank.org/100954 The new blocking registration seems to be correct.
The problem actually is missing support and guidance of the user entering data. Coming from the name editor for the name to be
registered the user has the impression that editing of in-refrence relations is done top-down. In the name editor the nomenclatural
reference field often contains an article, and the user clicks on 'new' to create the section where the in-refernce is automatically filled,
since there is only one possible option in this case. In a basionym name editor the reference can be freely chosen. Users may follow
the top-down strategy again when entering a new reference here but may forget to choose the inreference.

As first solution to this problem we decided on making the inReference field required for all iSection refernfence types.

Associated revisions

Revision 2bcb1498 - 02/19/2019 05:46 PM - Andreas Kohlbecker

fix #8097 inReference field required for section reference types

History

#1 - 02/19/2019 05:07 PM - Andreas Kohlbecker
- Description updated
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

As first solution to this problem we decided on making the inReference field required for all iSection refernfence types.
for more details, see the updated description.

#2 - 02/19/2019 05:46 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|2bcb1498b2db48c720edfcfcac25e733be35¢tb8.

#3 - 02/19/2019 05:46 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

issue completed.

Please review.

#4 - 02/19/2019 05:47 PM - Andreas Kohlbecker

- Subject changed from Problem with inserting a section to Problem with inserting a section - inReference is "lost"

#5 - 04/11/2019 02:31 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Test:

bottom up: section in (select) article: works

bottom up: section in (select) book: works

top down: select article, insert section AND select again article: works
top down: select book, insert section AND select again book: works

top doen: select book, insert section AND select nothing, no saving possible AND clear warning.
Needed field is marked in red, after selection saving possible.

Result: sections in basionyms can be stored without loosing content.
Ticket can be closed.

#6 - 04/11/2019 02:37 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
